Skip to content
Start here

Get browser version metadata.

client.browserRendering.devtools.browser.version(stringsessionId, BrowserVersionParams { account_id } params, RequestOptionsoptions?): BrowserVersionResponse { Browser, Protocol-Version, User-Agent, 3 more }
GET/accounts/{account_id}/browser-rendering/devtools/browser/{session_id}/json/version

Get browser version metadata.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Browser Rendering WriteBrowser Rendering Read
ParametersExpand Collapse
sessionId: string

Browser session ID.

formatuuid
params: BrowserVersionParams { account_id }
account_id: string

Account ID.

ReturnsExpand Collapse
BrowserVersionResponse { Browser, Protocol-Version, User-Agent, 3 more }
Browser: string

Browser name and version.

"Protocol-Version": string

Chrome DevTools Protocol version.

"User-Agent": string

User agent string.

"V8-Version": string

V8 JavaScript engine version.

"WebKit-Version": string

WebKit version.

webSocketDebuggerUrl: string

WebSocket URL for debugging the browser.

Get browser version metadata.

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.browserRendering.devtools.browser.version(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  { account_id: 'account_id' },
);

console.log(response.Browser);
{
  "Browser": "Browser",
  "Protocol-Version": "Protocol-Version",
  "User-Agent": "User-Agent",
  "V8-Version": "V8-Version",
  "WebKit-Version": "WebKit-Version",
  "webSocketDebuggerUrl": "webSocketDebuggerUrl"
}
Returns Examples
{
  "Browser": "Browser",
  "Protocol-Version": "Protocol-Version",
  "User-Agent": "User-Agent",
  "V8-Version": "V8-Version",
  "WebKit-Version": "WebKit-Version",
  "webSocketDebuggerUrl": "webSocketDebuggerUrl"
}